com.sun.tdk.specdiff.html.report

## Class DiffReportBuilder

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule
  - - com.sun.tdk.specdiff.html.report.DiffReportBuilder

- All Implemented Interfaces:
    DifferModule, ReportBuilder
  Direct Known Subclasses:
    ContextDiffReportBuilder

      public class DiffReportBuilder
      extends AbstractDifferModule
      implements ReportBuilder

  Generic implementation of ReportBuilder: produces various Diff XML reports in `this.outDir`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiffReportBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `build(org.outerj.daisy.diff.html.dom.DomTreeBuilder oldHnd, org.outerj.daisy.diff.html.dom.DomTreeBuilder newHnd, java.util.List<org.outerj.daisy.diff.html.HTMLDiffer.ContextHistory> historyList)` Produces XML diff report for two changed files
    `protected void` | `buildAddedReport(SaxDiffOutput output, org.outerj.daisy.diff.html.dom.DomTreeBuilder hnd)` Produces report for added document
    `protected void` | `buildChangedReport(SaxDiffOutput output, org.outerj.daisy.diff.html.dom.DomTreeBuilder oldHnd, org.outerj.daisy.diff.html.dom.DomTreeBuilder newHnd, java.util.List<org.outerj.daisy.diff.html.HTMLDiffer.ContextHistory> historyList)` Produces XML 'changed' diff report
    `protected void` | `buildRemovedReport(SaxDiffOutput output, org.outerj.daisy.diff.html.dom.DomTreeBuilder hnd)` Produces report for removed document
    `protected SaxDiffOutput` | `getSaxDiffOutput(org.xml.sax.ContentHandler hnd)` New instance of SaxDiffOutput getter.
    `protected java.io.File` | `getXmlReportFile()` Returns output file for XML report

    - ### Methods inherited from class com.sun.tdk.specdiff.html.AbstractDifferModule

      `getFileName, getNewPath, getOldPath, getOutDir, getParameters, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.tdk.specdiff.html.DifferModule

      `getParameters, init`

- - ### Field Detail

    - #### PREFIX

          protected static final java.lang.String PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DiffReportBuilder

          public DiffReportBuilder()

  - ### Method Detail

    - #### build

          public java.io.File build(org.outerj.daisy.diff.html.dom.DomTreeBuilder oldHnd,
                                    org.outerj.daisy.diff.html.dom.DomTreeBuilder newHnd,
                                    java.util.List<org.outerj.daisy.diff.html.HTMLDiffer.ContextHistory> historyList)
                             throws org.xml.sax.SAXException,
                                    java.io.IOException

      Description copied from interface: `ReportBuilder`
      Produces XML diff report for two changed files
      Specified by:
        `build` in interface `ReportBuilder`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### buildChangedReport

          protected void buildChangedReport(SaxDiffOutput output,
                                            org.outerj.daisy.diff.html.dom.DomTreeBuilder oldHnd,
                                            org.outerj.daisy.diff.html.dom.DomTreeBuilder newHnd,
                                            java.util.List<org.outerj.daisy.diff.html.HTMLDiffer.ContextHistory> historyList)
                                     throws org.xml.sax.SAXException,
                                            java.io.IOException

      Produces XML 'changed' diff report
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### buildAddedReport

          protected void buildAddedReport(SaxDiffOutput output,
                                          org.outerj.daisy.diff.html.dom.DomTreeBuilder hnd)
                                   throws org.xml.sax.SAXException,
                                          java.io.IOException

      Produces report for added document
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### buildRemovedReport

          protected void buildRemovedReport(SaxDiffOutput output,
                                            org.outerj.daisy.diff.html.dom.DomTreeBuilder hnd)
                                     throws org.xml.sax.SAXException,
                                            java.io.IOException

      Produces report for removed document
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### getSaxDiffOutput

          protected SaxDiffOutput getSaxDiffOutput(org.xml.sax.ContentHandler hnd)

      New instance of SaxDiffOutput getter. You may override this method.

    - #### getXmlReportFile

          protected java.io.File getXmlReportFile()

      Returns output file for XML report